Package org.eclipse.gef.mvc.fx.operations

# Class DeselectOperation

java.lang.Object
org.eclipse.core.commands.operations.AbstractOperation
org.eclipse.gef.mvc.fx.operations.DeselectOperation

All Implemented Interfaces:
  `IUndoableOperation`, `ITransactionalOperation`

public class DeselectOperation extends AbstractOperation implements ITransactionalOperation
The `DeselectOperation` can be used to change the `SelectionModel` of an `IViewer`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_LABEL`
"change-selection"

## Constructor Summary

Constructors
Constructor
Description
`DeselectOperation(String label, IViewer viewer, List<? extends IContentPart<? extends javafx.scene.Node>> toBeDeselected)`
Creates a new `DeselectOperation` to change the selection within the given `IViewer` by removing the given `IContentPart`s.
`DeselectOperation(IViewer viewer, List<? extends IContentPart<? extends javafx.scene.Node>> toBeDeselected)`
Creates a new `DeselectOperation` to change the selection within the given `IViewer` by removing the given `IContentPart`s.

## Method Summary

Modifier and Type
Method
Description
`IStatus`
`execute(IProgressMonitor monitor, IAdaptable info)`
`protected SelectionModel`
`getSelectionModel()`
Returns the `SelectionModel` adapted to the viewer.
`List<IContentPart<? extends javafx.scene.Node>>`
`getToBeDeselected()`
Returns the parts that are to be deleted.
`boolean`
`isContentRelevant()`
Returns `true` if this `ITransactionalOperation` is actually changing model data (instead of only affecting the visualization).
`boolean`
`isNoOp()`
Returns `true` if this `ITransactionalOperation` has no effect (in comparison to its initial state).
`IStatus`
`redo(IProgressMonitor monitor, IAdaptable info)`
`IStatus`
`undo(IProgressMonitor monitor, IAdaptable info)`

### Methods inherited from class org.eclipse.core.commands.operations.AbstractOperation

`addContext, canExecute, canRedo, canUndo, dispose, getContexts, getLabel, hasContext, removeContext, setLabel, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.commands.operations.IUndoableOperation

`addContext, canExecute, canRedo, canUndo, dispose, getContexts, getLabel, hasContext, removeContext`

## Field Details

### DEFAULT_LABEL

public static final String DEFAULT_LABEL

     "change-selection"

The default label for this operation (i.e. used if no label is specified).

See Also:
  - Constant Field Values

## Constructor Details

### DeselectOperation

public DeselectOperation(IViewer viewer, List<? extends IContentPart<? extends javafx.scene.Node>> toBeDeselected)
Creates a new `DeselectOperation` to change the selection within the given `IViewer` by removing the given `IContentPart`s. The `DEFAULT_LABEL` is used.

Parameters:
  `viewer` - The `IViewer` for which the selection is changed.
  `toBeDeselected` - The `IContentPart`s that are to be selected.

### DeselectOperation

public DeselectOperation(String label, IViewer viewer, List<? extends IContentPart<? extends javafx.scene.Node>> toBeDeselected)
Creates a new `DeselectOperation` to change the selection within the given `IViewer` by removing the given `IContentPart`s. The given label is used.

Parameters:
  `label` - The operation's label.
  `viewer` - The `IViewer` for which the selection is changed.
  `toBeDeselected` - The `IContentPart`s that are to be selected.

## Method Details

### execute

public IStatus execute(IProgressMonitor monitor, IAdaptable info) throws ExecutionException

Specified by:
  `execute` in interface `IUndoableOperation`
Specified by:
  `execute` in class `AbstractOperation`
Throws:
  `ExecutionException`

### getSelectionModel

protected SelectionModel getSelectionModel()
Returns the `SelectionModel` adapted to the viewer.

Returns:
  The `SelectionModel` adapter.

### getToBeDeselected

public List<IContentPart<? extends javafx.scene.Node>> getToBeDeselected()
Returns the parts that are to be deleted.

Returns:
  A reference to the to be deleted `IContentPart`s.

### isContentRelevant

public boolean isContentRelevant()
Description copied from interface: `ITransactionalOperation`
Returns `true` if this `ITransactionalOperation` is actually changing model data (instead of only affecting the visualization). Otherwise returns `false`. The content relevance of an `ITransactionalOperation` can be checked to determine if the execution of the operation will affect the model, for example, to set an editor's dirty flag.

Specified by:
  `isContentRelevant` in interface `ITransactionalOperation`
Returns:
  `true` if this `ITransactionalOperation` is actually changing model data, otherwise `false`.

### isNoOp

public boolean isNoOp()
Description copied from interface: `ITransactionalOperation`
Returns `true` if this `ITransactionalOperation` has no effect (in comparison to its initial state). Otherwise returns `false`.

Specified by:
  `isNoOp` in interface `ITransactionalOperation`
Returns:
  `true` if this `ITransactionalOperation` has no effect, otherwise `false`.

### redo

public IStatus redo(IProgressMonitor monitor, IAdaptable info) throws ExecutionException

Specified by:
  `redo` in interface `IUndoableOperation`
Specified by:
  `redo` in class `AbstractOperation`
Throws:
  `ExecutionException`

### undo

public IStatus undo(IProgressMonitor monitor, IAdaptable info) throws ExecutionException

Specified by:
  `undo` in interface `IUndoableOperation`
Specified by:
  `undo` in class `AbstractOperation`
Throws:
  `ExecutionException`